# PALNonceRequest


    @interface PALNonceRequest : NSObject

The `PALNonceRequest` class contains data needed to create a
programmatic access nonce.

A `PALNonceRequest` instance is passed into a `https://developers.google.com/ad-manager/pal/ios/reference/Classes/PALNonceLoader.html`'s
`loadNonceManagerWithRequest`: method to load a new `https://developers.google.com/ad-manager/pal/ios/reference/Classes/PALNonceManager.html`,
containing the result nonce.
- `


  ### [continuousPlayback](https://developers.google.com/ad-manager/pal/ios/reference/Classes/PALNonceRequest#/c:objc(cs)PALNonceRequest(py)continuousPlayback)


  ` Whether the player intends to continuously play the content videos one after another similar to
  a TV broadcast or video playlist. `PALFlagNull` by default.

  #### Declaration

  Swift

      var continuousPlayback: Flag { get set }

  Objective-C

      @property (nonatomic, assign, unsafe_unretained, readwrite,
                getter=isContinuousPlayback) https://developers.google.com/ad-manager/pal/ios/reference/Enums/PALFlag.html continuousPlayback;

- `


  ### [descriptionURL](https://developers.google.com/ad-manager/pal/ios/reference/Classes/PALNonceRequest#/c:objc(cs)PALNonceRequest(py)descriptionURL)


  ` The description URL of the video being played. Any description URL string longer than 500
  characters will be ignored and excluded from the nonce.

  #### Declaration

  Swift

      var descriptionURL: URL? { get set }

  Objective-C

      @property (nonatomic, copy, nullable) NSURL *descriptionURL;

- `


  ### [iconsSupported](https://developers.google.com/ad-manager/pal/ios/reference/Classes/PALNonceRequest#/c:objc(cs)PALNonceRequest(py)iconsSupported)


  ` Whether VAST icons are supported by the video player. `NO` by default.

  @deprecated PAL SDK ignores this property and the associated `wta=` request parameter. Your video
  player must display VAST icons included in ads served by Google. For details, see the "AdChoices
  icon and overlay" guide for [iOS](https://developers.google.com/ad-manager/pal/ios/wta) or [tvOS](https://developers.google.com/ad-manager/pal/tvos/wta).

  #### Declaration

  Swift

      var isIconsSupported: Bool { get set }

  Objective-C

      @property (nonatomic, assign, unsafe_unretained, readwrite,
                getter=isIconsSupported) BOOL iconsSupported;

- `


  ### [OMIDPartnerName](https://developers.google.com/ad-manager/pal/ios/reference/Classes/PALNonceRequest#/c:objc(cs)PALNonceRequest(py)OMIDPartnerName)


  ` The name of the OMID Integration Partner. Any partner name string longer than 200 characters
  will be ignored and excluded from the nonce.

  This must match the name supplied to the OM SDK for the ad session. For further details, see the
  [Open Measurement (OM) SDK](https://iabtechlab.com/standards/open-measurement-sdk/).

  To successfully include the `omid_p=` value in a nonce, both this
  `OMIDPartnerName` and `https://developers.google.com/ad-manager/pal/ios/reference/Classes/PALNonceRequest.html#/c:objc(cs)PALNonceRequest(py)OMIDPartnerVersion` must be set.

  #### Declaration

  Swift

      var omidPartnerName: String? { get set }

  Objective-C

      @property (nonatomic, copy, nullable) NSString *OMIDPartnerName;

- `


  ### [OMIDPartnerVersion](https://developers.google.com/ad-manager/pal/ios/reference/Classes/PALNonceRequest#/c:objc(cs)PALNonceRequest(py)OMIDPartnerVersion)


  ` The OMID Integration Partner's version string. Any partner version string longer than 200
  characters will be ignored and excluded from the nonce.

  This must match the string supplied to the OM SDK for the ad session.

  To successfully include the `omid_p=` value in a nonce, both this
  `OMIDPartnerVersion` and `https://developers.google.com/ad-manager/pal/ios/reference/Classes/PALNonceRequest.html#/c:objc(cs)PALNonceRequest(py)OMIDPartnerName` must be set.

  #### Declaration

  Swift

      var omidPartnerVersion: String? { get set }

  Objective-C

      @property (nonatomic, copy, nullable) NSString *OMIDPartnerVersion;

- `


  ### [nonceLengthLimit](https://developers.google.com/ad-manager/pal/ios/reference/Classes/PALNonceRequest#/c:objc(cs)PALNonceRequest(py)nonceLengthLimit)


  ` The maximum allowed length for the generated nonce. By default there is no limit.
  Choosing a shorter nonce length limit may cause various targeting properties to
  be excluded from the nonce.

  #### Declaration

  Swift

      var nonceLengthLimit: UInt { get set }

  Objective-C

      @property (nonatomic) NSUInteger nonceLengthLimit;

- `


  ### [playerType](https://developers.google.com/ad-manager/pal/ios/reference/Classes/PALNonceRequest#/c:objc(cs)PALNonceRequest(py)playerType)


  ` The name of the partner player being used to play the ad. Any player type string longer than
  200 characters will be ignored and excluded from the nonce.

  #### Declaration

  Swift

      var playerType: String? { get set }

  Objective-C

      @property (nonatomic, copy, nullable) NSString *playerType;

- `


  ### [playerVersion](https://developers.google.com/ad-manager/pal/ios/reference/Classes/PALNonceRequest#/c:objc(cs)PALNonceRequest(py)playerVersion)


  ` The version of the partner player being used to play the ad. Any player version string longer
  than 200 characters will be ignored and excluded from the nonce.

  #### Declaration

  Swift

      var playerVersion: String? { get set }

  Objective-C

      @property (nonatomic, copy, nullable) NSString *playerVersion;

- `


  ### [PPID](https://developers.google.com/ad-manager/pal/ios/reference/Classes/PALNonceRequest#/c:objc(cs)PALNonceRequest(py)PPID)


  ` The publisher provided ID. Any PPID longer than 200 characters will be ignored and excluded
  from the nonce.

  #### Declaration

  Swift

      var ppid: String? { get set }

  Objective-C

      @property (nonatomic, copy, nullable) NSString *PPID;

- `


  ### [sessionID](https://developers.google.com/ad-manager/pal/ios/reference/Classes/PALNonceRequest#/c:objc(cs)PALNonceRequest(py)sessionID)


  ` The session ID is a temporary random ID. It is used exclusively for
  frequency capping. A session ID must be a UUID.

  #### Declaration

  Swift

      var sessionID: String? { get set }

  Objective-C

      @property (nonatomic, copy, nullable) NSString *sessionID;

- `


  ### [skippablesSupported](https://developers.google.com/ad-manager/pal/ios/reference/Classes/PALNonceRequest#/c:objc(cs)PALNonceRequest(py)skippablesSupported)


  ` Whether VAST skippable ads are supported by the video player.

  #### Declaration

  Swift

      var skippablesSupported: Bool { get set }

  Objective-C

      @property (nonatomic) BOOL skippablesSupported;

- `


  ### [supportedAPIFrameworks](https://developers.google.com/ad-manager/pal/ios/reference/Classes/PALNonceRequest#/c:objc(cs)PALNonceRequest(py)supportedAPIFrameworks)


  ` A set of integers representing a player's supported frameworks. These values
  are defined in the
  [AdCOM 1.0 "API Frameworks" list](https://github.com/InteractiveAdvertisingBureau/AdCOM/blob/main/AdCOM%20v1.0%20FINAL.md#list--api-frameworks-).
  Example: \[2,7,9\] indicates supports for VPAID 2.0, OMID 1.0, and SIMID 1.1.

  #### Declaration

  Swift

      var supportedAPIFrameworks: Set<NSNumber>? { get set }

  Objective-C

      @property (nonatomic, nullable) NSSet<NSNumber *> *supportedAPIFrameworks;

- `


  ### [userInfo](https://developers.google.com/ad-manager/pal/ios/reference/Classes/PALNonceRequest#/c:objc(cs)PALNonceRequest(py)userInfo)


  ` An optional reference to pass through to identify requests upon completion.

  #### Declaration

  Swift

      var userInfo: Any? { get set }

  Objective-C

      @property (nonatomic, copy, nullable) id userInfo;

- `


  ### [videoPlayerHeight](https://developers.google.com/ad-manager/pal/ios/reference/Classes/PALNonceRequest#/c:objc(cs)PALNonceRequest(py)videoPlayerHeight)


  ` The height of the video player, in pixels. Not included in the nonce by default.

  This must be a positive integer to represent a valid ad size in pixels, not points. See
  [Google Ad Manager
  documentation](https://support.google.com/admanager/answer/1068325) for details.

  #### Declaration

  Swift

      var videoPlayerHeight: UInt { get set }

  Objective-C

      @property (nonatomic) NSUInteger videoPlayerHeight;

- `


  ### [videoPlayerWidth](https://developers.google.com/ad-manager/pal/ios/reference/Classes/PALNonceRequest#/c:objc(cs)PALNonceRequest(py)videoPlayerWidth)


  ` The width of the video player, in pixels. Not included in the nonce by default.

  This must be a positive integer to represent a valid ad size in pixels, not points. See
  [Google Ad Manager
  documentation](https://support.google.com/admanager/answer/1068325) for details.

  #### Declaration

  Swift

      var videoPlayerWidth: UInt { get set }

  Objective-C

      @property (nonatomic) NSUInteger videoPlayerWidth;

- `


  ### [willAdAutoPlay](https://developers.google.com/ad-manager/pal/ios/reference/Classes/PALNonceRequest#/c:objc(cs)PALNonceRequest(py)willAdAutoPlay)


  ` Whether the ad will be played automatically. `PALFlagNull` by default.

  #### Declaration

  Swift

      var willAdAutoPlay: Flag { get set }

  Objective-C

      @property (nonatomic) https://developers.google.com/ad-manager/pal/ios/reference/Enums/PALFlag.html willAdAutoPlay;

- `


  ### [willAdPlayMuted](https://developers.google.com/ad-manager/pal/ios/reference/Classes/PALNonceRequest#/c:objc(cs)PALNonceRequest(py)willAdPlayMuted)


  ` Whether the ad will be play while muted. `PALFlagNull` by default.

  #### Declaration

  Swift

      var willAdPlayMuted: Flag { get set }

  Objective-C

      @property (nonatomic) https://developers.google.com/ad-manager/pal/ios/reference/Enums/PALFlag.html willAdPlayMuted;